Georgia companies search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-ge-companies-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "თიბისი ბანკი",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-ge-companies-search"
payload = {
"keyword": "თიბისი ბანკი",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'თიბისი ბანკი', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-ge-companies-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "ge_companies_search",
"keyword": "თიბისი ბანკი",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Georgia — NAPR company registry — company search\n\n- **Keyword:** თიბისი ბანკი\n- **Results:** 2 of 9 found\n- **Proxy traffic:** 27.4 KB",
"machine": {
"total_items": 2,
"first_item": {
"registration_number": "216346700",
"name": "სს თიბისი ბანკის ქვემო ქართლის რეგიონალური ფილიალი",
"status": "ლიკვიდირებულია",
"address": null,
"url": "https://enreg.reestri.gov.ge/main.php?c=search&m=find_legal_persons&s_legal_person_idnumber=216346700",
"company_type": "სააქციო საზოგადოების ფილიალი",
"incorporation_date": null,
"identifier_type": "identification_code",
"registry_id": 10044763
},
"items": [
{
"registration_number": "216346700",
"name": "სს თიბისი ბანკის ქვემო ქართლის რეგიონალური ფილიალი",
"status": "ლიკვიდირებულია",
"address": null,
"url": "https://enreg.reestri.gov.ge/main.php?c=search&m=find_legal_persons&s_legal_person_idnumber=216346700",
"company_type": "სააქციო საზოგადოების ფილიალი",
"incorporation_date": null,
"identifier_type": "identification_code",
"registry_id": 10044763
},
{
"registration_number": "216291331",
"name": "სს თიბისი ბანკის ქვემო ქართლის რეგიონალური ფილიალი",
"status": "ლიკვიდირებულია",
"address": null,
"url": "https://enreg.reestri.gov.ge/main.php?c=search&m=find_legal_persons&s_legal_person_idnumber=216291331",
"company_type": "სააქციო საზოგადოების ფილიალი",
"incorporation_date": null,
"identifier_type": "identification_code",
"registry_id": 10044756
}
],
"total_found": 9,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 28063
},
"total_points": 2
}Company Registries
Georgia companies search
Search the Georgia company registry (NAPR) by company name or identification code: name, registration number, status and legal form. 1 point per returned record.
POST
/
functions
/
v1
/
run-ge-companies-search
Georgia companies search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Company name. e.g. თიბისი ბანკი
Max items (up to 250)
Required range:
1 <= x <= 250Starting page
Required range:
x >= 1Status. Options: active = Active, inactive = Inactive / dissolved
Available options:
active, inactive Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.